Bug 863780 - Bash completion fails when egrep is aliased to 'egrep --color=always'
Bash completion fails when egrep is aliased to 'egrep --color=always'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Oprala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 07:30 EDT by Holger Arnold
Modified: 2013-08-01 13:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:54:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing the problem in /etc/bash_completion.d/git (384 bytes, patch)
2012-10-07 07:30 EDT, Holger Arnold
no flags Details | Diff

  None (edit)
Description Holger Arnold 2012-10-07 07:30:10 EDT
Created attachment 622964 [details]
Patch fixing the problem in /etc/bash_completion.d/git

Git's Bash completion script uses egrep to generate possible completions.  This fails if the user has aliased egrep to 'egrep --color=always' due to the generated color escape codes.

The attached patch fixes this by calling egrep in the completion script with '--color=never'.
Comment 1 Adam Tkac 2012-12-11 07:14:11 EST
Just FYI, this is being discussed in upstream but there is still no consensus if this is a bug or isn't.

http://article.gmane.org/gmane.comp.version-control.git/210837
Comment 2 Holger Arnold 2012-12-11 08:07:37 EST
> Just FYI, this is being discussed in upstream but there is still no
> consensus if this is a bug or isn't.

Thanks, Adam.  Although I understand Junio's concerns of the patch being rather specific, I think there is a difference between (i) protecting against arbitrary aliases and (ii) protecting against aliases that set some default options.

Protecting against someone aliasing 'grep' to 'shutdown' might be overkill, but using an alias to set, e.g., the preferred output format for a program should have no effect on other--in particular non-interactive--users of this program.

An alias should be considered a definition for interactive shell uses only, and if the shell cannot protect non-interactive scripts from aliases, such scripts should protect themselves.  Ideally, the shell would have an "undefine all aliases for this process and all subprocesses" command.
Comment 4 Fedora End Of Life 2013-07-04 02:22:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 13:54:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.